Bug 913041 (CVE-2013-0305)

Summary: CVE-2013-0305 Django: Data leakage via admin history log
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apevec, apevec, bkearney, cpelland, dmalcolm, jomara, katello-bugs, markmc, michel, mrunge, rbryant, rhos-maint, sclewis, smilner
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130219,reported=20130219,source=upstream,cvss2=4.0/AV:N/AC:L/Au:S/C:P/I:N/A:N,epel-5/Django=affected,epel-6/Django=affected,epel-6/Django14=affected,fedora-17/Django=affected,openstack-1/Django=affected,openstack-2.1/Django14=affected,sam-1/Django=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-07 14:59:08 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 913043, 913044, 913045, 913048, 913050, 913054, 1005404    
Bug Blocks: 916886    

Description Kurt Seifried 2013-02-20 04:29:08 EST
James Bennett of Django reports:

Django's bundled administrative interface keeps a log of actions taken, preserving the history of any object which is exposed through the admin interface. This history view does not perform any permission checks beyond confirming that the user has access to the administrative interface; as such, any user with admin access can view the history of any object accessible in the admin interface, and see summaries of each change made to an object.

To remedy this, the admin history view for an object will now perform the same permission checks as other admin views for the same object.

External reference:
https://www.djangoproject.com/weblog/2013/feb/19/security/
Comment 1 Kurt Seifried 2013-02-20 04:33:35 EST
Created Django tracking bugs for this issue

Affects: epel-5 [bug 913043]
Comment 2 Kurt Seifried 2013-02-20 04:36:04 EST
Created Django14 tracking bugs for this issue

Affects: epel-6 [bug 913045]
Comment 3 Kurt Seifried 2013-02-20 04:36:08 EST
Created Django tracking bugs for this issue

Affects: epel-6 [bug 913044]
Comment 4 Kurt Seifried 2013-02-20 04:38:22 EST
Created Django tracking bugs for this issue

Affects: fedora-17 [bug 913048]
Comment 8 Fedora Update System 2013-03-11 15:32:45 EDT
Django14-1.4.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-03-12 04:49:44 EDT
python-django-1.4.5-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-03-12 04:53:50 EDT
Django-1.4.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 errata-xmlrpc 2013-03-21 14:12:46 EDT
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:0670 https://rhn.redhat.com/errata/RHSA-2013-0670.html